<div class="container">
  <% if @lottery_topic.open_round? %>
    <div class="countdown_bill countdown_bill_<%= @lottery_topic.id %>">
      <span class="countdown"></span>
    </div>
  <% end %>
  <h1 class="text-uppercase">เพิ่ม  <span><%= @lottery_topic.name %></span> </h1>
  <h2>ประจำวันที่ <%= Date.today.strftime('%d/%m/%y')%></h2>


  <h2>
    <span class="label label-success">
      รอบ <%= LotteryTime.set_lot_round(@bill.lottery_id, @bill.try(:round)) %>
    </span>
  </h2>

  <% if @bill.try(:status) != 'draft' %>
    <div class="pull-right">
      <%= link_to 'กลับ', lotteries_path(lot: @bill.lottery_id), class: 'btn btn-success' %>
    </div>
  <% end %>

  <h2>
    <span class="label label-primary">ชื่อบิล: <%= @bill.try(:name) %></span>
  </h2>

  <br>

  <% if @bill.try(:status) == 'draft' && @lottery_topic.open_round?%>
  <div class="lottery_form">
    <%= render 'form', lottery: @lottery %>
  </div>
  <% end %>

  <% if @lotteries.present? %>
    <div class="row">
      <div class="col-sm-6" id="photo">
        <table class="table sum_lot">
          <thead>
            <tr></tr>
            <tr></tr>
          </thead>
          <tbody>
            <% @bill.lotteries.pluck(:group).uniq.each do |group| %>
              <tr>
                <td class="text-center">
                  <% lot_type =  @bill.lotteries.where(group: group).first.position %>

                  <% if lot_type == "1" || lot_type == "2" %>
                    <span><b>2ตัว</b></span><br>
                    <span>บนxล่าง</span><br>
                    <span>
                      <%= @bill.lotteries.where(group: group).where(position: 1).map {|l| l.real_price.to_i }.uniq[0] || 0 %>x<%= @bill.lotteries.where(group: group).where(position: 2).map {|l| l.real_price.to_i }.uniq[0] || 0 %>
                    </span>
                  <% elsif lot_type == "4" || lot_type == "5"%>
                    <span><b>3ตัว</b></span><br>
                    <span>บนxโต็ด</span><br>
                    <span>
                      <%= @bill.lotteries.where(group: group).where(position: 4).map {|l| l.real_price.to_i }.uniq[0] || 0 %>x<%= @bill.lotteries.where(group: group).where(position: 5).map {|l| l.real_price.to_i }.uniq[0] || 0 %>  
                    </span>
                  <% end %>
                </td>
                <td>
                  <% @bill.lotteries.where(group: group).pluck(:source).uniq[0].each do |lot| %>
                    <%= lot %>
                  <% end %>
                </td>
                  <td class="pull-right">
                    <% if @bill.try(:status) == 'draft' %>
                      <% lots = @bill.lotteries.where(group: group).pluck(:id) %>
                      <%= link_to(destroy_group_path(lots: lots, bill: @bill), data: { confirm: 'ยืนยันว่าจะลบชุดนี้' }) do %>
                        <span class="glyphicon glyphicon-trash text-red" aria-hidden="true"></span>
                      <% end %>
                    <% end %>
                  </td>
              </tr>
            <% end %>
          </tbody>
        </table>

        <div class="text-center">
          <h2>รวม <%= @bill.real_price %> บาท</h2>
          <h2 class="text-uppercase"><%= @lottery_topic.name %></h2>
        </div>

        <div class="text-center">
          <h3>
            <span class="label label-success">
              รอบ <%= LotteryTime.set_lot_round(@bill.lottery_id, @bill.try(:round)) %>
            </span>
          </h3>
        </div>
        
      <!-- <div id="output"></div> -->
      </div>

      <!-- <div class="col-sm-6">
        <button class="btn" onclick="takeshot()">บันทึกบิล</button>
      </div> -->


      <div class="col-sm-12">

        <table class="table">
          <thead>
            <tr>
              <th>เลข</th>
              <th>ตำแหน่ง</th>
              <th>ราคาจริง</th>
              <th>ราคา</th>
              <th>สถานะ</th>
              <th>รางวัล</th>
              <th>ส่วนลด</th>
              <th>สู้</th>
              <th>ราคาสู้</th>
              <th>สู้เสีย</th>
              <th>ผลลัพธ์</th>
            </tr>
          </thead>

          <tbody>
            <% @lotteries.each do |lottery| %>
              <tr>
                <td><%= lottery.datum %></td>
                <td>
                  <%= 'บน' if lottery.position == "1" %>
                  <%= 'ล่าง' if lottery.position == "2" %>
                  <%= 'ตรง' if lottery.position == "4" %>
                  <%= 'โต๊ด' if lottery.position == "5" %>
                </td>
                <td><%= lottery.real_price %></td>
                <td><%= lottery.price %></td>
                <td>

                  <% if lottery.status == 'won' %>
                    <span class="label label-success">ถูกรางวัล</span>
                  <% elsif lottery.status == 'lose' %>
                    <span class="label label-danger">ไม่ถูกรางวัล</span>
                  <% else %>
                    <span class="label label-warning">รอออกรางวัล</span>
                  <% end %>
                </td>
                <td><%= lottery.won_amount %></td>
                <td><%= lottery.discount %></td>
                <td><%= lottery.fight_percent%>%</td>
                <td><%= lottery.fight_amount %></td>
                <td><%= lottery.fight_paid %></td>
                <td><%= lottery.result_amount %></td>
              </tr>
            <% end %>
            <tr>
              <th>รวม</th>
              <td></td>
              <th><%= @bill.try(:real_price) %></th>
              <th><%= @bill.try(:total).present? ? @bill.try(:total) : 0 %></th>
              <td></td>
              <th><%= @bill.try(:amount_won) %></th>
              <th><%= @bill.try(:discount) %></th>
              <td></td>
              <td></td>
              <th><%= @bill.try(:fight_paid) %></th>
              <th><%= @bill.try(:result_amount) %></th>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  <% end %>
</div>
<script>
  $('.countdown').countdown({
    until: new Date('<%= @lottery_topic.end_time %>'.replace(/-/g, "/")), 
    onExpiry: liftOff, 
    layout: '{hn}:{mn}:{sn}'
  });

  function liftOff() {
    alert('หมดเวลาแล้วครับ')
    window.location.href = '<%= lotteries_path(lot: @bill.lottery_id) %>';
  }
</script>